Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmObjectFactory

    oracle.olapi.metadata.mtm.MtmObjectFactory

public final class MtmObjectFactory

Creates `MtmAggregationStep` objects that you can use to specify the SQL function and other aspects of aggregating measure data from the leaf level to higher levels of a hierarchy of an `MtmUnsolvedCube`. To get an instance of an `MtmObjectFactory`, use the `getMtmObjectFactory` method of your `MdmMetadataProvider`.

Method Summary
`MtmFirstLastAggregationStep` | `createFirstLastAggregationStep()` Creates an `MtmAggregationStep` that specifies that Oracle OLAP use the measure value specified by the first or last child element of the current dimension node element when aggregating measure values specified by its dimensions.
`MtmNoAggregationStep` | `createNoAggregationStep()` Creates an `MtmAggregationStep` that specifies that Oracle OLAP does not aggregate the leaf-level measure data to the higher levels of its dimension hierarchies.
`MtmSimpleAggregationStep` | `createSimpleAggregationStep()` Creates an `MtmAggregationStep` that specifies a SQL function and a weighting factor to apply to the calculation of the measure values for the node levels of the hierarchies of its dimensions.
`MtmWeightedAverageAggregationStep` | `createWeightedAverageAggregationStep()` Creates an `MtmAggregationStep` that specifies a weighted average aggregation of the measure values for the node levels of the hierarchies of its dimensions.

Method Detail

### createFirstLastAggregationStep

    public MtmFirstLastAggregationStep createFirstLastAggregationStep()

  Creates an `MtmAggregationStep` that specifies that Oracle OLAP use the measure value specified by the first or last child element of the current dimension node element when aggregating measure values specified by its dimensions.

### createNoAggregationStep

    public MtmNoAggregationStep createNoAggregationStep()

  Creates an `MtmAggregationStep` that specifies that Oracle OLAP does not aggregate the leaf-level measure data to the higher levels of its dimension hierarchies.

### createSimpleAggregationStep

    public MtmSimpleAggregationStep createSimpleAggregationStep()

  Creates an `MtmAggregationStep` that specifies a SQL function and a weighting factor to apply to the calculation of the measure values for the node levels of the hierarchies of its dimensions.

### createWeightedAverageAggregationStep

    public MtmWeightedAverageAggregationStep createWeightedAverageAggregationStep()

  Creates an `MtmAggregationStep` that specifies a weighted average aggregation of the measure values for the node levels of the hierarchies of its dimensions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.